Results 1 to 3 of 3
  1.    #1  
    So I just checked out the palmone update site here says that if I have "Lower than Treo650-1.04-VZW" I need an update- Ive got 1.03.. but when I click on the link provided it brings me to a place to download 1.03...

    So do I need the update or is the site messed up?
  2. #2  
    I believe the latest update for Verizon is 1.03
  3. mk3013's Avatar
    Posts
    67 Posts
    Global Posts
    82 Global Posts
    #3  
    So, yes, the site is messed up I suppose.

Posting Permissions